ipython (2.3.0-2ubuntu2) xenial; urgency=medium

  * Disable the python3 autopkg test. Known to fail with Python 3.5.
  * Relax lesscpy upper version check.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Oct 2015 18:53:29 +0200

ipython (2.3.0-2ubuntu1) wily; urgency=medium

  * Some tests fail when run against Python 3.5 - cherry-pick some upstream
    patches to fix them.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 30 Jul 2015 16:39:53 +0100

ipython (2.3.0-2build1) wily; urgency=medium

  * No change rebuild for Python 3.5.

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 16 Jul 2015 16:42:27 -0400

ipython (2.3.0-2) unstable; urgency=medium

  * Team upload.
  * Add pygments2.0_compatibility.patch (taken from Carlos Cordoba's pull
    request. Closes: #768705)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 09 Nov 2014 23:33:24 +0100

ipython (2.3.0-1) unstable; urgency=medium

  * New upstream bugfix release
  * drop wx build dependency, not needed for tests anymore (Closes: #760691)
  * bump standard to 3.9.6, no changes required
  * refresh paths in debian/copyright and adapt to some removed files

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 20 Sep 2014 13:54:57 +0200

ipython (2.2.0-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 17 Aug 2014 13:57:50 +0200

ipython (2.1.0-2) unstable; urgency=medium

  * debian/rules: allow building with uglifyjs 2
    Thanks to Leo Iannacone for the patch (Closes: #750715)
  * shared-static-path.patch: change marked.js search path to path used by
    ipython-notebook-common package, fixes nbconvert failures when using
    nodejs instead of pandoc
  * debian/control: add nodejs to suggests
    it is an alternative to pandoc for nbconvert to html (Closes: #751008)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 15 Jul 2014 22:33:25 +0200

ipython (2.1.0-1) unstable; urgency=low

  * New upstream release
    - removes irunner, iplogger and pycolor binaries
  * drop obsolete patches:
    - 05_fix_seteditor_example.patch
    - parallel-2to3.patch
    - test-default-tk.patch
  * renamed packaged-lessc.patch to packaged-js.patch
  * added split-pkg.patch to handle split notebook package
  * use-ipython-icon-in-desktop-files.patch now applied in debian/rules
  * added lintian overrides for not used minified javascript files

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 03 May 2014 14:24:25 +0200

ipython (1.2.1-2) unstable; urgency=medium

  * debianize-error-messages.patch: fix no zmq message to raise an exception
  * depend on build-essential instead of gcc for tests

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 25 Feb 2014 20:31:19 +0100

ipython (1.2.1-1) unstable; urgency=low

  * New upstream bugfix release
  * suggest pgf for nbconvert --to latex --post pdf
  * debianize parallel error messages for missing zmq (LP: #1190231)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 06 Feb 2014 01:45:52 +0100

ipython (1.2.0~rc1-1) unstable; urgency=low

  * New upstream release candidate
    fixes nbconvert html convert (Closes: #737067, #736560)
  * drop applied patches: python3.4-fixes.patch, test-fix.patch
  * add test-default-tk.patch to run tests with Debian's matplotlib default
  * update debianize-error-messages.patch:
     - fix %paste (Closes: #736175)
     - add pandoc package reference (Closes: #736566)
  * suggest pandoc in notebook for nbconvert subcommand
  * add required version of node-less and fonts-font-awesome to build depends

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Wed, 05 Feb 2014 19:07:18 +0100

ipython (1.1.0-1) unstable; urgency=low

  [ Julian Taylor ]
  * New upstream release
  * add build depends and patches required for the the notebook javascript
    build: node-less, node-uglify, libjs-highlight, fabric, fonts-font-awesome,
           dh-linktree
  * bump standard to 3.9.5, no changes required
  * skip autopkgtests on python3.4 as some tests have issues.

  [ Jakub Wilk ]
  * Fix a typo in README.source.

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Mon, 06 Jan 2014 16:45:14 +0100

ipython (0.13.2-2) unstable; urgency=low

  * upload to unstable
  * add missing comma to Depends of incomplete-install test
  * add python as python3 test dependency, needed for IPython.utils tests
  * drop unnecessary configobj dependency
  * sphinx1.2-compat.patch: fix doc build with sphinx 1.2 (Closes: #706531)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 05 May 2013 14:45:32 +0200

ipython (0.13.2-1) experimental; urgency=low

  * New upstream bugfix release
  * remove versions from test dependencies
    not supported by autopkgtest package
  * add python-lxml to tools test dependencies
  * drop dependencies of the tested packages from tests/control Depends

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 06 Apr 2013 10:30:19 +0200

ipython (0.13.2~rc2-1) experimental; urgency=low

  * New upstream release candidate (LP: #1161818, #1162112)
  * pass -a to xvfb-run
  * drop DM-Upload-Allowed, not needed anymore
  * don't link documentation of ipython-doc so ipython3 does not depend on
    ipython (Closes: #695554)
    Requires ipython-doc.preinst to not lose copyright on upgrade
  * add ipython3 and ipython3-qtconsole desktop files (Closes: #693612)
  * fix detection of cython modules for multiarch python (Closes: #697704)
  * don't install tests for notebook and qtconsole
  * bump standard to 3.9.4, no changes required
  * add autopkgtests running testsuite and testing tools, cython magics
    and incomplete install message
  * fix crash on tracebacks without line numbers (Closes: #701597)
  * add tkinter package to debianize-error-messages.patch (Closes: #701707)
  * use canonical vcs fields in control

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 02 Feb 2013 11:14:27 +0100

ipython (0.13.1-2) unstable; urgency=low

  * update watch file to use github directly
    thanks to Bart Martens for the file
  * ipython-doc: break/replace ipython << 0.11-2 (Closes: #694280)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 25 Nov 2012 11:55:50 +0000

ipython (0.13.1-1) unstable; urgency=low

  * New upstream bugfix release
  * refresh patches, drop applied except-shadows-builtin-fix.patch
  * depend on libjs-jquery >= 1.7 (Closes: #685986)
  * drop build depends on dh-linktree and libjs-jquery-ui (Closes: #685985)
    - needs to be added again when we can use the packaged jquery-ui
  * drop LC_ALL=C.UTF-8 from build and install, not required anymore
  * override dh_python[23] to work around #683108
  * build depend on libc-bin (>= 2.13-1~) for C.UTF-8 locale used in tests

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 21 Oct 2012 10:37:05 +0200

ipython (0.13-1) unstable; urgency=low

  * New upstream release
    No repackging necessary anymore, js sources available in external
    minified variants are not installed
  * refresh patches, drop upstream applied full-qt-imports 
  * add except-shadows-builtin-fix.patch
  * drop libjs-jquery-ui dependency, use the embedded development branch
  * don't compress the examples
  * remove executable permissions on embedded codemirror files
  * build with LC_ALL=C.UTF-8 to avoid a unicode issue in setupbase.py
  * remove generated doc images in clean
  * update copyright with new and removed files
  * remove unreachable Stephan Peijnik from uploaders
    thank you for your work

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 30 Jun 2012 15:05:32 +0200

ipython (0.12.1+dfsg-2) unstable; urgency=low

  * add ipython3-notebook package
  * move static notebook data to ipython-notebook-common
  * add ipython3 depend on python3-simplegeneric and remove the embedded copy
  * update use-system-mathjax-if-available.patch:
    prefer local mathjax installation over the system one
  * add parallel-2to3.patch:
    allow running 2to3 in parallel. Thanks to Jakub Wilk for the patch
  * add full-qt-imports.patch: (Closes: #671363)
    avoids choosing an incomplete qt version if a full one is available
  * use dh-linktree to link jquery-ui themes
  * debian/copyright: add missing copyright information for simplegeneric,
    mglob and decorators

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 17 May 2012 19:07:19 +0200

ipython (0.12.1+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #655413, #663256)
    Repackaged to remove minified javascript files from source.
  * add get-orig-source target to rules
  * ipython-notebook: depend on libjs-mathjax instead of recommending.
    mathjax can't be securely served from cloudfront.
  * debian/rules: delete build directory in clean (Closes: #671315)
  * remove transitional ipython-parallel package
  * set HOME to build folder for doc build and tests (Closes: #665224)
  * move all examples to ipython-doc
  * move python-argparse to suggests (Closes: #653650)
  * update standard version to 3.9.3, no changes needed
  * override lintian desktop-command-not-in-package
  * remove python-pymongo build dep, tests skipped without running mongod

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 05 May 2012 22:30:58 +0200

ipython (0.12-1) unstable; urgency=low

  [ Julian Taylor ]
  * New upstream release
    - fix qtconsole crash with nonsensical -c input (Closes: #642326)
  * new package: ipython-notebook
  * new python3 packages: ipython3, ipython3-qtconsole (Closes: #650725)
  * refreshed patches
  * parallel example folder renamed newparallel -> parallel
  * drop upstream applied fix-version-checks-for-pyzmq-2.1.10.patch
  * add patch for notebook to use libjs-mathjax and recommend it
  * merge -parallel package back into ipython, add transitional package
  * added python-tk build dependency for a test
  * debian/copyright: update for the new notebook sources
  * debian/rules:
    - do not install test sources
    - fail on testsuite error
    - install ipython svg to icons folder and patch desktop to use it
  * debian/control: remove gtk suggests
  * remove obsolete README.source for quilt

  [ Piotr Ożarowski ]
  * ipython-qtconsole: add python-pyside.qt{core,gui,svn} as an alternative
    dependency to python-qt4

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 29 Dec 2011 23:07:22 +0100

ipython (0.11-2) unstable; urgency=low

  * upload to unstable
  * add patch fix-version-checks-for-pyzmq-2.1.10.patch
  * fix debianize-error-messages.patch to reraise unknown exceptions
  * suggest python-zmq for ipython package
  * use dh_sphinxdoc
    - bump sphinx dependency to >= 1.0.7+dfsg-1~, replace libjs-jquery
      dependency with ${sphinxdoc:Depends} and drop ipython-doc.links
  * remove empty directory from ipython
  * link duplicate images in ipython-doc
  * remove obsolete Conflicts and Replaces

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 22 Nov 2011 23:40:57 +0100

ipython (0.11-1) experimental; urgency=low

  * New upstream release
  * install all upstream manpages
  * debian/copyright: refer to LGPL-2.1 instead of LGPL symlink
  * install .desktop files for ipython and ipython-qtconsole
    - override desktop-command-not-in-package lintian warning for -qtconsole
      the command is in ipython package on which -qtconsole depends
  * debian/control: update homepage

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 31 Jul 2011 21:14:03 +0200

ipython (0.11~rc4-1) experimental; urgency=low

  * New upstream release candidate
  * update patch for debian specific error messages

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 19 Jul 2011 12:15:23 +0200

ipython (0.11~rc3-1) experimental; urgency=low

  * New upstream release candidate
  * fix some DEP5 syntax errors
  * remove upstreamed testsuite-fix patch
  * delete disabled obsolete patches 03, 04, 06
  * move parallel binaries from ipython to ipython-parallel
  * remove obsolete manpages debian/ipythonx.1 and debian/ipython-wx.1
  * install parallel manpages only in -parallel package

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 17 Jul 2011 16:09:01 +0200

ipython (0.11~rc1-1) experimental; urgency=low

  * New upstream release candidate
  * change to source format 3.0 (quilt)
  * run testsuite during build
  * add clean target
  * build-depends:
    - matplotlib, pymongo, xauth, xvfb and qt4 for tests
    - graphviz, sphinx for docs
  * add dependencies and don't install embedded copy:
    - python-argparse(Closes: #555348)
    - python-configobj (Closes: #555339)
    - python-simplegeneric
    - python-decorator
    - python-pyparsing
    - pexpect
  * update patches
    - disabled obsolete patches 03, 04 and 06
    - refresh default background color patch 07
    - add patch to fix testsuite
    - add patch to improve error message on missing ipython-qtconsole
  * change to compat 7
  * split out -parallel package
  * split out -qtconsole package
  * split out -doc package
  * improve dependencies for each package
  * add doc-base control file
  * fix the ipythonX.Y startup scripts

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 10 May 2011 16:18:45 +0200

ipython (0.10.2-1) unstable; urgency=low

  * new upstream release. Closes: #622643
  * added Julian Taylor <jtaylor.debian@googlemail.com> to uploaders
  * removed Bernd Zeimetz <bzed@debian.org> from uploaders
    thank you for your work
  * Use environment python interpreter. Closes: #547003
  * wrap-and-sort debian/
  * update standard to 3.9.2. no changes needed
  * set default colorscheme to LightBG. LP: #241535
  * converted copyright to DEP5
  * control: removed python:Breaks

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 21 Apr 2011 14:54:20 +0200

ipython (0.10.1-1) unstable; urgency=low

  * New upstream release.
  * Bumping Standards-Version to 3.9.1, no changes needed.
  * Migrating to dh and dh_python2. 

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 17 Feb 2011 17:49:42 +0100

ipython (0.10-2) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - removed Ondrej from Uploaders: thanks for your work!

  [ Jakub Wilk ]
  * Fix watch file.

  [ Bernd Zeimetz ]
  * Upload to ship ipython2.6 instead of ipython2.4.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 25 Apr 2010 14:53:21 +0200

ipython (0.10-1) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * New upstream version.

  [ Stefano Zacchiroli ]
  * debian/control: fix (build)deps on python-zope-interface, new package
    name is python-zope.interface (Closes: #543128)

  [ Piotr Ożarowski ]
  * Standards-Version bumped to 3.8.3
    - debian/README.source file added

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Mon, 07 Sep 2009 20:37:17 +0200

ipython (0.9.1-3) unstable; urgency=low

  [ Stephan Peijnik ]
  * Fixed broken Suggest on libjs-jquery (typo, was: libjs-query).

  [ Emilio Pozuelo Monfort ]
  * debian/rules: remove chmod calls, they are not needed and are
    modifying files in pysupport's directories which may change.
    Closes: #516274.

 -- Stephan Peijnik <debian@sp.or.at>  Thu, 19 Feb 2009 07:32:37 +0100

ipython (0.9.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Stephan Peijnik <debian@sp.or.at>  Mon, 16 Feb 2009 07:55:45 +0100

ipython (0.9.1-1) experimental; urgency=low

  [ Stephan Peijnik ]
  * New upstream release (Closes: #500556).
  * Cleaned up debian/ because the upstream tarball is clean since 0.8.4-1:
    - Removed debian/uscan-dfsg-clean.sh.
    - Removed debian/README.Debian-source.
    - Updated debian/watch.
  * Removed debian/patches/05_fix_path_import.dpatch - fixed upstream.
  * Added myself to Uploaders.
  * Switched from dpatch to quilt patch system.
  * Added debian/patches/06_ipythonwx_importerror.patch.
    Provides more usable error message when trying to execute ipython-wx
    without python-wxgtk2.8 installed.
  * Updated build dependencies and recommends.
    - Added recommends: 
      + global (required by ipy_gnuglobal IPython extension)
      + python (>= 2.5) | python-ctypes
      + python-openssl
      + python-wxwidgets2.8 (needed by ipythonx and ipython-wx)
      + python-foolscap
      + python-twisted-core
      + python-zope-interface
    - Added build dependencies (Build-Depends-Indep): 
      + python-sphinx (needed for building the documentation)
      + python-pygments (needed for syntax highlighting in documentation)
      + python-foolscap
      + python-twisted-core
      + python-zope-interface
      + python-openssl
      + python (>= 2.5) | python-ctypes
      + python-nose
    - Added suggests:
      + libjs-query (needed by documentation to be searchable)
      + python-gobject
      + python-gtk2
      + python-qt3 | python-qt4
  * Added final newline to debian/manpages to get rid of a build-warning.
  * Updated debian/rules so parts of the html documentation are not compressed
    and thus rendered unusable.
  * Wrote manpages for ipcluster, ipcontroller, ipengine, ipythonx and 
    ipython-wx.
  * Fixed invalid Recommend on python-wxwidgets2.8 
    (should have been python-wxgtk2.8 in the first place).
  
  [ Serafeim Zanikolas ]
  * Remove embedded copy of jquery.js and instead depend on libjs-jquery.
  * Fix import of path in ipipe.py (Closes: #486923).

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- Stephan Peijnik <debian@sp.or.at>  Mon, 29 Dec 2008 18:21:24 +0100

ipython (0.8.4-1) unstable; urgency=low

  [ Norbert Tretkowski ]
  * Remove myself from uploaders.

  [ Sandro Tosi ]
  * debian/control
    - removed Suggests on python-numeric and added for python-numpy (Closes:
      #478449)

  [ Piotr Ożarowski & Bernd Zeimetz ]
  * Replace all /usr/bin/ipythonX.Y with a shell script which detects desired
    Python version before invoking IPython. Package depends on default Python
    version only again (Closes: #476661).

  [ Bernd Zeimetz ]
  * New upstream version.
  * Dropping .dfsg. from the version, the documentation is using python-sphinx
    now, and included in the source. Also dropping debian/uscan-dfsg-clean.sh
    and updating debian/watch accordingly.
  * debian/patches:
    - dropping the following patches - applied usptream / not needed anymore.
      01_docdir-base.dpatch
      02_profiler-message.dpatch
      05_no_manual_dir.dpatch
    - updating the following patches:
      04_remove_shebang.dpatch
  * debian/rules:
    - dropping get-orig-source target, not needed anymore.

  [ Ondrej Certik ]
  * standards-version updated to 3.8.0
  * DM-Upload-Allowed: yes field added and Ondrej added to Uploaders.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 09 Jun 2008 23:13:00 +0200

ipython (0.8.2.dfsg-2) unstable; urgency=low

  * debian/rules:
    - Creating /usr/bin/ipythonX.Y wrappers for all python versions. Thanks to
      martin f. krafft (Closes: #461188).

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 17 Jan 2008 11:17:49 +0100

ipython (0.8.2.dfsg-1) unstable; urgency=low

  [ Bernd Zeimetz ]
  * New upstream version. Manually adding the source of the documentation to
    the tarball. It will be shipped by upstream with the next release.
    (Closes: #458383)
  * debian/uscan-dfsg-clean.sh, debian/watch, debian/rules:
    - Adding uscan-dfsg-clean.sh as helper for uscan to remove non-dfsg-free
      material from the tarball. Adding a get-orig-source rule to debian/rules
      which runs uscan.
  * debian/control:
    - Updating my email address.
    - Updating Standards-Version to 3.7.3.
  * debian/copyright:
    - Updating the file to reflect the current copyrights and licenses.
  * debian/patches/00dpatch.conf:
    - Adding file.
  * debian/patches/{03_ipy_gnuglobal,04_remove_shebang}.dpatch:
    - Updating patches.
  * debian/patches/05_no_manual_dir.dpatch:
    - Adding patch to stop setup.py from creating empty directories.

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 09 Jan 2008 14:11:20 +0100

ipython (0.8.1-2) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Homepage field added
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)
  * Add 04_remove_shebang patch
  * Removing lintian overrides, adding proper patches instead.

  [ Bernd Zeimetz ]
  * Replacing Recommends by Suggests to stop ipython from installing ~500MB
    of dependencies. Thanks to Marcela Tiznado (Closes: #451887).

 -- Bernd Zeimetz <bernd@bzed.de>  Mon, 19 Nov 2007 19:10:14 +0100

ipython (0.8.1-1) unstable; urgency=low

  [ Bernd Zeimetz ]
  * debian/control:
     - adding python-matplotlib to Recommends because
       it is needed to run ipython -pylab

  [ Norbert Tretkowski ]
  * New upstream release. (closes: #428398)

  [ Reinhard Tartler ]
  * Install ipython.el properly.

 -- Norbert Tretkowski <nobse@debian.org>  Mon, 11 Jun 2007 20:05:30 +0200

ipython (0.8.0-2) unstable; urgency=low

  * debian/changelog:
     - adding missing colons to Closes entries to fix two
       lintian warnings
  * debian/compat:
     - bumping compat level to 5
  * debian/control:
     - adding XS-Vcs-Browser
     - remove no longer needed X*-Python-Version fields
     - moving python-pexpect from Recommends to Depends because
       /usr/bin/irunner is not useable without it
     - moving debhelper and dpatch from Build-Depends-Indep to
       Build-Depends, fixing the following lintian errors:
         - clean-should-be-satisfied-by-build-depends debhelper
         - clean-should-be-satisfied-by-build-depends dpatch
     - removing unnecessary Build-Depends-Indep on python-all-dev,
       adding python to Build-Depends instead
     - replacing python-central by python-support to be able to
       fix #420134 without hassle
     - adding ${misc:Depends}
     - adding the missing identation for Homepage:
     - adding cdbs as Build-Depends
     - adding myself to Uploaders
     - removing the short description from the long description
  * debian/patches/03_ipy_gnuglobal.dpatch:
     - fix the location of the global binary - we're not on windows
  * debian/rules:
     - removing old crust, using cdbs to make things clear again
     - using python-support instead of python-central to make
       modules for 2.5 avaiable now. (Closes: #420134)
     - making sure the bogus /usr/IPython directory is not
       included in the package again
     - do not remove docs/ipython.el (Closes: #198505, #415427)
  * adding lintian ovverrides for several scripts included in the
    IPython/Extensions directory.
  * adding a manpage for /usr/bin/irunner

 -- Bernd Zeimetz <bernd@bzed.de>  Tue, 24 Apr 2007 02:47:26 +0200

ipython (0.8.0-1) unstable; urgency=low

  * New upstream release. (closes: #419716)
  * Removed patches merged upstream.

 -- Norbert Tretkowski <nobse@debian.org>  Tue, 17 Apr 2007 20:26:43 +0200

ipython (0.7.3-2) unstable; urgency=low

  * Added a new patch from svn to fix jobctrl to work properly on posix.

 -- Norbert Tretkowski <nobse@debian.org>  Thu, 21 Dec 2006 20:13:57 +0100

ipython (0.7.3-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <nobse@debian.org>  Mon, 18 Dec 2006 22:23:55 +0100

ipython (0.7.3~rc2-1) experimental; urgency=low

  * New upstream release candidate.

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 16 Dec 2006 02:20:13 +0100

ipython (0.7.3~beta2-1) experimental; urgency=low

  * New upstream beta release.

 -- Norbert Tretkowski <nobse@debian.org>  Fri,  8 Dec 2006 08:02:16 +0100

ipython (0.7.3~beta1-1) experimental; urgency=low

  * New upstream beta release.
  * Removed backported patch added in 0.7.2-5 to workaround bugs in python
    2.3's inspect module.

 -- Norbert Tretkowski <nobse@debian.org>  Wed, 29 Nov 2006 12:35:22 +0100

ipython (0.7.2-6) UNRELEASED; urgency=low

  * Added XS-Vcs-Svn field.

 -- Piotr Ozarowski <ozarow@gmail.com>  Thu, 23 Nov 2006 14:44:43 +0100

ipython (0.7.2-5) unstable; urgency=low

  * Added a new patch from svn to workaround bugs in python 2.3's inspect
    module. (closes: #374625)

 -- Norbert Tretkowski <nobse@debian.org>  Thu, 10 Aug 2006 18:36:12 +0200

ipython (0.7.2-4) unstable; urgency=low

  * Fixed spelling error in description. (closes: #363976)
  * Ack NMU 0.7.2-3.1, thanks Matthias. (closes: #377787)

 -- Norbert Tretkowski <nobse@debian.org>  Tue,  1 Aug 2006 22:45:11 +0200

ipython (0.7.2-3.1) unstable; urgency=medium

  * NMU.
  * Convert to updated Python policy. (closes: #377787)

 -- Matthias Klose <doko@debian.org>  Thu, 13 Jul 2006 17:42:06 +0000

ipython (0.7.2-3ubuntu1) edgy; urgency=low

  * Synchronize with Debian unstable.
  * Convert to updated Python policy. Collapse all packages into one
    ipython package, don't handle ipython using alternatives.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Jul 2006 09:47:37 +0000

ipython (0.7.2-3) unstable; urgency=low

  * Removed alternative for irunner manpage.

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 17 Jun 2006 09:49:10 +0200

ipython (0.7.2-2) unstable; urgency=medium

  * Fixed conflict in irunner. (closes: #373874)
  * Added recommendation for python-pexpect. (closes: #373794)

 -- Norbert Tretkowski <nobse@debian.org>  Fri, 16 Jun 2006 10:43:45 +0200

ipython (0.7.2-1) unstable; urgency=low

  [ Piotr Ozarowski ]
  * Added watch file.

  [ Norbert Tretkowski ]
  * New upstream release.

 -- Norbert Tretkowski <nobse@debian.org>  Thu,  8 Jun 2006 23:36:03 +0200

ipython (0.7.1.fix1+0.7.2.rc1-1) experimental; urgency=low

  * New upstream release candidate.
  * Updated Standards-Version to 3.7.2.0, no changes required.

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 27 May 2006 14:49:24 +0200

ipython (0.7.1.fix1-2) unstable; urgency=low

  * Set maintainer to Debian Python modules team and added myself to
    uploaders.

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 16 Apr 2006 15:53:43 +0200

ipython (0.7.1.fix1-1) unstable; urgency=low

  * New upstream bugfix release.
  * Removed backported patch which was added in 0.7.1-3 to catch
    KeyboardInterrupt exceptions properly, it's part of this release.
  * Fixed names of pdfs in doc-base file to shut up linda.

 -- Norbert Tretkowski <nobse@debian.org>  Tue, 14 Feb 2006 23:51:17 +0100

ipython (0.7.1-3) unstable; urgency=low

  * Added a new patch from upstream to catch KeyboardInterrupt exceptions
    properly.

 -- Norbert Tretkowski <nobse@debian.org>  Mon, 30 Jan 2006 19:42:31 +0100

ipython (0.7.1-2) unstable; urgency=low

  * Really remove alternatives on purge, thanks Lars Wirzenius for finding
    the problem. (closes: #317269)

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 29 Jan 2006 23:11:28 +0100

ipython (0.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <nobse@debian.org>  Tue, 24 Jan 2006 21:42:33 +0100

ipython (0.7.0-2) unstable; urgency=low

  * Fixed circular dependencies (closes: #341980)
  * Added version to dependency on ipython dummy package. (closes: #320235)
  * Removed python2.2 package, ipython now depends on python >= 2.3.
  * Bumped up standards-version, no changes needed.

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 21 Jan 2006 23:27:53 +0100

ipython (0.7.0-1) unstable; urgency=low

  * New upstream release.
  * Updated 01_docdir-base.dpatch and 02_profiler-message.dpatch.

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 21 Jan 2006 20:08:23 +0100

ipython (0.6.15-2) unstable; urgency=low

  * New maintainer, thanks Jack for your work.

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 28 Aug 2005 19:57:09 +0200

ipython (0.6.15-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <nobse@debian.org>  Thu,  2 Jun 2005 23:51:45 +0200

ipython (0.6.14-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <nobse@debian.org>  Tue, 31 May 2005 22:53:25 +0200

ipython (0.6.13-1) unstable; urgency=low

  * New upstream release.
  * Removed backported patch which was added in 0.6.12-3 to fix misleading
    prompt, it's part of this release.

 -- Norbert Tretkowski <nobse@debian.org>  Fri, 15 Apr 2005 09:42:35 +0200

ipython (0.6.12-4) unstable; urgency=medium

  * Re-added python build-dependency, it got lost in 0.6.12-2.
    (closes: #301636)

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 27 Mar 2005 14:28:26 +0200

ipython (0.6.12-3) unstable; urgency=low

  * Added a new patch from cvs to fix misleading prompt2. (closes: #300847)

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 27 Mar 2005 00:05:26 +0100

ipython (0.6.12-2) unstable; urgency=low

  * Added packages for python2.2 and python2.4, ipython package is now a dummy
    package depending on ipython built for Debians default python.
    (closes: #292537)
  * Split out generic files into separate ipython-common package.
  * Enhanced package descriptions.
  * Removed CFLAGS settings from debian/rules, not required.
  * Tweaked message displayed when profiler support is missing.
  * Suggest the python-profiler package.

 -- Norbert Tretkowski <nobse@debian.org>  Fri, 25 Mar 2005 20:24:36 +0100

ipython (0.6.12-1) unstable; urgency=low

  * New upstream release.
  * Removed patch which was added in 0.6.5-1.1 to make profiling support
    optional, it was merged upstream.

 -- Norbert Tretkowski <nobse@debian.org>  Wed,  2 Mar 2005 12:15:09 +0100

ipython (0.6.11-1) unstable; urgency=low

  * New upstream release.
    + Fixed broken profiling support unless -D is specified. (closes: #295779)
  * Acknowledged NMUs. (closes: #206653, #294500, #294861, #280505)
  * New co-maintainer, added myself to uploaders.

 -- Norbert Tretkowski <nobse@debian.org>  Tue,  1 Mar 2005 12:40:33 +0100

ipython (0.6.5-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild with a python version that is actually in Debian.

 -- Wichert Akkerman <wichert@wiggy.net>  Thu, 17 Feb 2005 23:08:52 +0100

ipython (0.6.5-1.1) unstable; urgency=low

  * NMU to apply patch making profiling support optional (provided by
    Torsten Marek). (closes: #294500)

 -- Steven R. Baker <srbaker@debian.org>  Thu, 17 Feb 2005 05:02:55 -0400

ipython (0.6.5-1) unstable; urgency=low

  * New upstream release

 -- Jack Moffitt <jack@xiph.org>  Thu,  2 Dec 2004 15:49:27 -0700

ipython (0.6.4-1.1) unstable; urgency=low

  * NMU from BSP Frankfurt:
    - Added Build-Depends on dpatch (Closes: #280505)

 -- Joerg Jaspert <joerg@debian.org>  Sat, 27 Nov 2004 18:28:17 +0100

ipython (0.6.4-1) unstable; urgency=low

  * New upstream release
  * Updated debian/rules to use dpatch and added debian/patches/*

 -- Jack Moffitt <jack@xiph.org>  Tue,  9 Nov 2004 10:38:51 -0700

ipython (0.6.3-1) unstable; urgency=low

  * New upstream release (Closes: #262244, #252525)

 -- Jack Moffitt <jack@xiph.org>  Wed, 22 Sep 2004 21:39:38 -0600

ipython (0.6.0-1) unstable; urgency=low

  * New upstream release

 -- Jack Moffitt <jack@xiph.org>  Sun,  9 May 2004 17:38:00 +0200

ipython (0.4.0-1.1) unstable; urgency=low

  * Non maintainer upload with maintainer consensus.
  * Updated buil-dep to depend on python-2.3 (Closes: #206653)
  * Included encoding comment string in modules under IPython to 
    avoid python2.3 Warnigs (upstream noticed).

 -- Marco Presi (Zufus) <zufus@debian.org>  Mon, 25 Aug 2003 19:02:20 +0200

ipython (0.4.0-1) unstable; urgency=low

  * New upstream release (Closes: #195215)
  * Updated Build-Depends (Closes: #200021)

 -- Jack Moffitt <jack@xiph.org>  Fri, 25 Jul 2003 10:16:12 -0600

ipython (0.2.15pre3-4) unstable; urgency=low

  * Add python-dev Build-Depends (Closes: #189901)

 -- Jack Moffitt <jack@babyjesus.cantcode.com>  Mon, 12 May 2003 23:33:43 -0600

ipython (0.2.15pre3-3) unstable; urgency=low

  * Fix for accidently converting home directory files' line ends
    instead of just the appropriate ipython configuration files
    (Closes: #189042)

 -- Jack Moffitt <jack@xiph.org>  Mon, 14 Apr 2003 21:18:18 -0600

ipython (0.2.15pre3-2) unstable; urgency=low

  * Added text of the PSF license to debian/copyright.

 -- Jack Moffitt <jack@xiph.org>  Sat,  5 Apr 2003 11:41:31 -0700

ipython (0.2.15pre3-1) unstable; urgency=low

  * Updated documentation to point to the new homepage -
    http://ipython.scipy.org
  * Removed doc/COPYING and doc/GNU-LGPL to fix lintian warnings
  * Public release ready (Closes: #185789)

 -- Jack Moffitt <jack@xiph.org>  Tue,  1 Apr 2003 20:53:31 -0700

ipython (0.2.15pre3-0a) unstable; urgency=low

  * Initial Release.
  * This is my first Debian package

 -- Jack Moffitt <jack@xiph.org>  Wed, 12 Mar 2003 21:04:22 -0700

